/*
 * Copyright (C) 2011 QitSoft Inc.
 *
 * This file is part of Qimono.
 *
 * Qimono is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.qitsoft.qimono.internal;

/**
 * The listener used to react when the class was loaded by the {@link QimonoClassLoader}.
 * 
 * @author Serghei Soloviov <serj@qitsoft.com>
 */
public interface LoadedClassListener {

    /**
     * Is invoked after the class was modified and loaded by the class loader.
     * 
     * @param clazz the class which was modified and loaded.
     * @param classloader the class loader which modified the class. Often it is and
     *      instance of {@link QimonoClassLoader}.
     */
    void loadedClass(Class clazz, ClassLoader classloader);

}
